<?php
/*
Plugin Name: Post interval calculator
Plugin URI: (プラグインの説明と更新を示すページの URI)
Description: 30日前からの1日の投稿記事数の平均を計算するプラグインです。
Version: 1.0
Author: 音水
Author URI: https://otomizu.work/2019/01/23/wordpress-post-interval-calculator/
License: GPL2
*/
/*  Copyright 2019 音水
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as
     published by the Free Software Foundation.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
function pic_get_post_interval(){
	global $wpdb;
	$date = date("Y/m/d",strtotime("-30day"));
	$prepared_sql = $wpdb->prepare("select (select count(*) from $wpdb->posts where post_status = 'publish' and post_type = 'post' and post_date >= %s) / datediff(NOW(),%s) as post_interval;",$date,$date);
	$rows = $wpdb->get_results($prepared_sql);
	echo "<meta name=\"post_interval\" content=\"" . $rows[0]->post_interval . "\" />";
}
add_action('wp_head', 'pic_get_post_interval', 10);
?>